## Replace Connector or Re-provision License Key `client.MagicTransit.Connectors.Update(ctx, connectorID, params) (*ConnectorUpdateResponse, error)` **put** `/accounts/{account_id}/magic/connectors/{connector_id}` Replace Connector or Re-provision License Key ### Parameters - `connectorID string` - `params ConnectorUpdateParams` - `AccountID param.Field[string]` Path param: Account identifier - `Activated param.Field[bool]` Body param - `InterruptWindowDaysOfWeek param.Field[[]ConnectorUpdateParamsInterruptWindowDaysOfWeek]` Body param: Allowed days of the week for upgrades. Default is all days. - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekSunday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Sunday"` - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekMonday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Monday"` - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekTuesday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Tuesday"` - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekWednesday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Wednesday"` - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekThursday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Thursday"` - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekFriday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Friday"` - `const ConnectorUpdateParamsInterruptWindowDaysOfWeekSaturday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Saturday"` - `InterruptWindowDurationHours param.Field[float64]` Body param - `InterruptWindowEmbargoDates param.Field[[]string]` Body param: List of dates (YYYY-MM-DD) when upgrades are blocked. - `InterruptWindowHourOfDay param.Field[float64]` Body param - `Notes param.Field[string]` Body param - `ProvisionLicense param.Field[bool]` Body param: When true, regenerate license key for the connector. - `Timezone param.Field[string]` Body param ### Returns - `type ConnectorUpdateResponse struct{…}` - `ID string` - `Activated bool` - `InterruptWindowDaysOfWeek []ConnectorUpdateResponseInterruptWindowDaysOfWeek` Allowed days of the week for upgrades. Default is all days. - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekSunday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Sunday"` - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekMonday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Monday"` - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekTuesday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Tuesday"` - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekWednesday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Wednesday"` - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekThursday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Thursday"` - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekFriday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Friday"` - `const ConnectorUpdateResponseInterruptWindowDaysOfWeekSaturday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Saturday"` - `InterruptWindowDurationHours float64` - `InterruptWindowEmbargoDates []string` List of dates (YYYY-MM-DD) when upgrades are blocked. - `InterruptWindowHourOfDay float64` - `LastUpdated string` - `Notes string` - `Timezone string` - `Device ConnectorUpdateResponseDevice` - `ID string` - `SerialNumber string` - `LastHeartbeat string` - `LastSeenVersion string` - `LicenseKey string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/magic_transit" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) connector, err := client.MagicTransit.Connectors.Update( context.TODO(), "connector_id", magic_transit.ConnectorUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", connector.ID) } ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "id": "id", "activated": true, "interrupt_window_days_of_week": [ "Sunday" ], "interrupt_window_duration_hours": 1, "interrupt_window_embargo_dates": [ "string" ], "interrupt_window_hour_of_day": 0, "last_updated": "last_updated", "notes": "notes", "timezone": "timezone", "device": { "id": "id", "serial_number": "serial_number" }, "last_heartbeat": "last_heartbeat", "last_seen_version": "last_seen_version", "license_key": "license_key" }, "success": true } ```